/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "player.h"

void pokerPlayerBet(poker_t *poker, pokerplayer_t *player, int32_t chips) {
  poker->pot += chips;
  player->chips -= chips;
  player->currentBet += chips;
}

bool pokerPlayerIsAlive(pokerplayer_t *player) {
  return !(player->state & (POKER_PLAYER_STATE_FOLDED|POKER_PLAYER_STATE_OUT));
}

bool pokerPlayerIsHuman(poker_t *poker, pokerplayer_t *player) {
  return (poker->players + POKER_PLAYER_HUMAN_INDEX) == player;
}